Page MenuHomePhabricator

[AMC] Toolbar on User talk page should match toolbar on User page
Closed, ResolvedPublic3 Estimate Story Points

Description

Description

As pointed out in this comment currently the toolbar on a User talk page does not match the toolbar on the User page. The toolbar should be the same in both cases (including the contents of the overflow menu).

user pageuser talk page

Changes needed to the toolbar on the User talk page:

  • move Language icon into overflow menu
  • add Contributions icon to Toolbar
  • add User Groups and Logs to overflow menu

Developer notes

Code for the UserNamespaceOverflowBuilder is invoked when $userPageHelper->isUserPage() is true. It will also need to kick in for talk pages:

https://github.com/wikimedia/mediawiki-skins-MinervaNeue/blob/master/includes/ServiceWiring.php#L96

In theory nothing else should be needed but if any URLs are derived from the title this line here will need to call ->getSubjectPage( $title ) to convert a talk page title to a little:
https://github.com/wikimedia/mediawiki-skins-MinervaNeue/blob/master/includes/ServiceWiring.php#L98

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added subscribers: Masumrezarock100, Aklapper. · View Herald TranscriptOct 16 2019, 5:20 PM
ovasileva triaged this task as Medium priority.Oct 21 2019, 10:30 AM
Jdlrobson added a subscriber: Jdlrobson.

@Masumrezarock100 I've moved this task back to needs analysis as no analysis has been done yet.

To explain our process a little more - "needs analysis" means a developer in our team needs to analyse a task to uncover risk. We update the task with "developer notes" to explain. If a task is in the sprint board the team is committed to working on the task so moving to upcoming won't make it done any quicker (in fact might slow it down as we might estimate it/work on it prematurely without knowing its risks!).

FYI https://www.mediawiki.org/wiki/Reading/Web/Phabricator#Sprint_columns explains the columns and how we use them. Let me know if anything is not clear or there is anything we can do to improve discovery of that page! Thanks for caring!

Masumrezarock100 added a comment.EditedOct 21 2019, 6:13 PM

@Jdlrobson Your explanations make sense to me. I thought this task didn't need any analysis and thanks for the link, it is very helpful. :) Sorry for the trouble I have caused.

@Jdlrobson Your explanations make sense to me. I thought this task didn't need any analysis and thanks for the link, it is very helpful. :) Sorry for the trouble I have caused.

No trouble. I really appreciate having your voice on Phabricator and representing editors!

Masumrezarock100 awarded a token.EditedOct 22 2019, 9:58 PM
Masumrezarock100 rescinded a token.
Masumrezarock100 awarded a token.
Masumrezarock100 rescinded a token.
Masumrezarock100 awarded a token.

Just wanted to aware a love token.:) But for some reason, I kept clicking on the wrong icon.

ovasileva set the point value for this task to 3.Oct 23 2019, 4:30 PM
alexhollender added a subscriber: nray.

as @nray pointed out it might make sense to fix this as part of T232653.

Change 556294 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/skins/MinervaNeue@master] Make toolbar on user talk page match toolbar on user page

https://gerrit.wikimedia.org/r/556294

nray added a comment.Dec 10 2019, 11:56 PM

I've moved this ticket to doing as the work for T232653 is closely related to this work considering the contributions icon should be part of the toolbar on both user pages and user talk pages for logged in users (https://phabricator.wikimedia.org/T232653#5730229)

Change 556508 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/skins/MinervaNeue@master] Remove $userPageHelper param from UserNamespaceOverflowBuilder

https://gerrit.wikimedia.org/r/556508

Change 556223 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/skins/MinervaNeue@master] Resemble AMC mode for all users on user pages & user talk pages

https://gerrit.wikimedia.org/r/556223

Change 556294 abandoned by Nray:
Make toolbar on user talk page match toolbar on user page

Reason:
This has been merged into I940e5cf7638ff38686eeca3d41554b8a22d35615 to reflect the new AC with that ticket

https://gerrit.wikimedia.org/r/556294

Change 556508 abandoned by Nray:
Remove $userPageHelper param from UserNamespaceOverflowBuilder

Reason:
Squashed into I940e5cf7638ff38686eeca3d41554b8a22d35615

https://gerrit.wikimedia.org/r/556508

Change 556223 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Resemble AMC mode for all users on user pages & user talk pages

https://gerrit.wikimedia.org/r/556223

nray added a comment.EditedDec 16 2019, 5:57 PM

Given that the AC listed in this ticket is part of T232653 (which also has the necessary QA steps), I propose we close out this ticket

Update: In standup, it was proposed to close this one out when T232653 is closed out. @Edtadros there are no qa steps for this ticket. The QA steps from T232653 will cover this ticket.

nray added a subscriber: Edtadros.Dec 16 2019, 6:20 PM
ovasileva closed this task as Resolved.Dec 18 2019, 10:26 AM
ovasileva added a subscriber: ovasileva.

Resolving, confirmed this works in T232653#5747275